Skip to content
Esc
↑↓navigate↵open⌘Jpreview

List Channel Content Overrides by Parent

Retrieves all channel content overrides for a specific product or variant within a channel.

GET/api/v1/{team_slug}/{app_slug}/channels/{channel_id}/content/parent/{parent_id}
Path parameters
team_slugstringrequired

Team slug

app_slugstringrequired

App slug

channel_idstringrequired

Channel ID

parent_idstringrequired

Parent ID (product or variant)

Responses
200

OK

datagithub_com_enadhq_nabbit_internal_pkg_webserver_models.ChannelContent[]required
Show properties
Array of github_com_enadhq_nabbit_internal_pkg_webserver_models.ChannelContent
created_atstring
field_typestring
idstring
parent_idstring
parent_typestring
previewstring[]
relationshipsstring[]
translationsgithub_com_enadhq_nabbit_internal_pkg_webserver_models.LocalizedValue[]
Show properties
Array of github_com_enadhq_nabbit_internal_pkg_webserver_models.LocalizedValue
language_codestring
valuestring
updated_atstring
valuestring
detailsstring[]

Additional contextual information about the response. Used to provide supplementary details beyond the main data payload, such as validation warnings or processing notes

successbooleanrequired
400

Bad Request

detailsstring[]
messagestring
successbooleanrequired
404

Not Found

detailsstring[]
messagestring
successbooleanrequired
500

Internal Server Error

detailsstring[]
messagestring
successbooleanrequired
Try it
Server
Parameters
Request
curl -X GET 'https://api.enad.io/api/v1/string/string/channels/string/content/parent/string' \
  -H 'Accept: application/json'
Response
{
  "data": [
    {
      "created_at": "string",
      "field_type": "string",
      "id": "string",
      "parent_id": "string",
      "parent_type": "string",
      "preview": [
        "string"
      ],
      "relationships": [
        "string"
      ],
      "translations": [
        {
          "language_code": "string",
          "value": "string"
        }
      ],
      "updated_at": "string",
      "value": "string"
    }
  ],
  "details": [
    "string"
  ],
  "success": true
}